image: jekyll/builder:4.0

cache:
  paths:
  - vendor/

pages:
  stage: build
  before_script:
    - ruby -v
    # - bundle update
    - bundle install --path vendor
  script:
  - bundle exec jekyll build -d public
  artifacts:
    expire_in: 1 month
    paths:
    - public
  only:
  - master
